summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/hc2vpp/hc2vpp-csit.yaml3
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh4
2 files changed, 5 insertions, 2 deletions
diff --git a/jjb/hc2vpp/hc2vpp-csit.yaml b/jjb/hc2vpp/hc2vpp-csit.yaml
index fff6aa53a..d49ec0180 100644
--- a/jjb/hc2vpp/hc2vpp-csit.yaml
+++ b/jjb/hc2vpp/hc2vpp-csit.yaml
@@ -155,6 +155,9 @@
notbuilt: true
prebuilders:
+ - provide-maven-settings:
+ settings-file: 'honeycomb-settings'
+ global-settings-file: 'global-settings'
- shell:
!include-raw-escape: include-raw-hc2vpp-csit-verify-prebuild.sh
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
index cfde5eacb..8e4420a2d 100644
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
+++ b/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -xeu -o pipefail
+set -xe -o pipefail
# Parse optional arguments from gerrit comment trigger
for i in ${GERRIT_EVENT_COMMENT_TEXT}; do
@@ -25,7 +25,7 @@ if [ -n "${hc_commit_id}" ]; then
cd honeycomb
ref=`git ls-remote -q | grep ${hc_commit_id} | awk '{print $2}'`
git fetch origin ${ref} && git checkout FETCH_HEAD
- mvn clean install -DskipTests -Dcheckstyle.skip -Dmaven.repo.local=/tmp/r -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r
+ mvn clean install -DskipTests -Dcheckstyle.skip -Dmaven.repo.local=/tmp/r -Dorg.ops4j.pax.url.mvn.localRepository=/tmp/r -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}"
if [ $? != 0 ]; then
echo "Honeycomb infra build failed."
exit 1